Get the softwares of the task types of a project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/task-type-softwares

Get the softwares that the artists use for each task type of a project.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

Responses

  • 200 application/json

    The list of links between task types and softwares

    Hide response attributes Show response attributes object
    • project_id string(uuid)

      Project unique identifier

    • task_type_id string(uuid)

      Task type unique identifier

    • software_id string(uuid)

      Software unique identifier

  • 403

    You do not have access to this project

GET /data/projects/{project_id}/task-type-softwares
curl \
 --request GET '/api/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/task-type-softwares' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "project_id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "task_type_id": "b35b7fb5-df86-5776-b181-68564193d360",
    "software_id": "c46c8fc6-ef97-4887-a292-79675204e471"
  }
]